RISTSENDER(1)

NAME
ristsender - send a stream via RIST

SYNOPSIS
ristsender [OPTIONS]

DESCRIPTION
Reliable Internet Stream Transport (RIST) is a transport protocol designed for reliable transmission of video over lossy networks (including the Internet) with low latency and high quality.

ristsender relays an incoming UDP or RTP stream by sending it as a RIST stream.

  Where OPTIONS are:

-i | --inputurl udp://... or rtp://...
    Mandatory Option: Comma separated list of input udp or rtp URLs. Use tun://@ to read udp data from a tun device defined using the -t option.

-o | --outputurl rist://...
    Mandatory Option: Comma separated list of output rist URLs

-b | --buffer value
    Default buffer size for packet retransmissions

-s | --secret PWD
    Default pre-shared encryption secret

-e | --encryption-type TYPE
    Default Encryption type (0, 128 = AES-128, 256 = AES-256)

-p | --profile number
    Rist profile (0 = simple, 1 = main, 2 = advanced)

-n | --null-packet-deletion
    Enable NPD, receiver needs to support this!

-S | --statsinterval value (ms)
    Interval at which stats get printed, 0 to disable

-v | --verbose-level value
    To disable logging: -1, log levels match syslog levels

-r | --remote-logging IP:PORT
    Send logs and stats to this IP:PORT using udp messages

-F | --srpfile filepath
    When in listening mode, use this file to hold the list of usernames and passwords to validate against. Use the ristsrppasswd tool to create the line entries.

-t | --tun name
    Create a tun device and use it for data communications

-m | --tun-mode number
    Data management on the tun interface: 0 = all data is accepted into and out of oob channel, 1 = only non udp data is accepted (default), 2 = no data goes into or out of oob channel.

-f | --fast-start value
    Controls data output flow before handshake is completed:
     0 = hold data out,
     1 = start to send data immediately

-c | --config name.yaml
    YAML config file

-M | --enable-metrics
    Enable OpenMetrics/Prometheus compatible metrics

--metrics-tags
    Additional tags to add to the metrics

--metrics-multipoint
    Metrics return multiple timestamped data points

--metrics-nocreated
    Metrics skip the created metric for Prometheus compat

--metrics-http
    Start HTTP Server to expose metrics on defaults to http://0.0.0.0:9100/metrics

--metrics-port
    Port for metrics HTTP server to listen on

--metrics-ip
    IP for metrics HTTP server to listen on

--metrics-unix
    Unix socket to expose metrics on

-h | --help
    Show this help

-u | --help-url
    Show all the possible url options

Default values:

--profile 1

--statsinterval 1000

--verbose-level 6

SEE ALSO
ristreceiver(1), ristsrppasswd(1), https://code.videolan.org/rist/librist/-/wikis/LibRIST%20Documentation

AUTHOR

This manual page was written by Florian Ernst <florian@debian.org>, for the Debian project (and may be used by others).